-- require 'Items/SuburbsDistributions'
require 'Items/ProceduralDistributions'

-- Silencer

table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 3);

table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, 1);

table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, 3);

table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, 4);

table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, 3)

table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, 10);

table.insert(ProceduralDistributions["list"]["PoliceLockers"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceLockers"].items, 2);

table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, 4);

table.insert(ProceduralDistributions["list"]["PawnShopGuns"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PawnShopGuns"].items, 1);

table.insert(ProceduralDistributions["list"]["PawnShopGunsSpecial"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PawnShopGunsSpecial"].items, 1);

table.insert(ProceduralDistributions["list"]["CrateTools"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["CrateTools"].items, 0.03);

table.insert(ProceduralDistributions["list"]["ShelfGeneric"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["ShelfGeneric"].items, 0.03);	

table.insert(ProceduralDistributions["list"]["MechanicShelfMisc"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["MechanicShelfMisc"].items, 0.03);	

table.insert(ProceduralDistributions["list"]["CrateRandomJunk"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["CrateRandomJunk"].items, 0.03);

-- Makeshift Silencer

table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 1);

table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, 5)

table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, 10);

table.insert(ProceduralDistributions["list"]["PawnShopGuns"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["PawnShopGuns"].items, 1);

table.insert(ProceduralDistributions["list"]["PawnShopGunsSpecial"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["PawnShopGunsSpecial"].items, 3);

table.insert(ProceduralDistributions["list"]["CrateTools"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["CrateTools"].items, 0.05);

table.insert(ProceduralDistributions["list"]["ShelfGeneric"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["ShelfGeneric"].items, 0.05);	

table.insert(ProceduralDistributions["list"]["MechanicShelfMisc"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["MechanicShelfMisc"].items, 0.05);	

table.insert(ProceduralDistributions["list"]["CrateRandomJunk"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["CrateRandomJunk"].items, 0.05);

-- Thug Notebook

table.insert(ProceduralDistributions["list"]["BedroomSideTable"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["BedroomSideTable"].items, 3);

table.insert(ProceduralDistributions["list"]["SchoolLockers"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["SchoolLockers"].items, 3);


